package com.fjhx.service.water;

import com.fjhx.base.StorageBaseService;
import com.fjhx.entity.water.WaterBatch;
import com.fjhx.params.water.WaterBatchVo;

import java.math.BigDecimal;
import java.util.Map;
import java.util.Set;

/**
 * <p>
 * 批次 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-09-20
 */
public interface WaterBatchService extends StorageBaseService<WaterBatch> {

    Map<String, Object> getDetailsByContract(Long contractId);

    void add(WaterBatchVo waterBatchVo);

    void delete(WaterBatchVo waterBatchVo);

    void shipment(WaterBatch waterBatch);

    void updateShipmentStatus(Set<Long> idSet);

    void editTagCountAndQuantitySum(WaterBatch waterBatch, int tagCount, BigDecimal tagQuantitySum);

}
